Summary: Utility for determining file types
Name: python3-file-magic
Version: 5.11
Release: 2%{?dist}
License: BSD
Source0: http://ftp.astron.com/pub/file/file-%{version}.tar.gz
URL: https://www.darwinsys.com/file/
BuildArch: noarch

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

%package -n python%{python3_pkgversion}-file-magic
Summary: Python 3 bindings for the libmagic API
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildArch: noarch
Requires: file-libs = %{version}
Provides: python%{python3_pkgversion}-magic = %{version}-%{release}
Obsoletes: python%{python3_pkgversion}-magic < %{version}-%{release}
Conflicts: python%{python3_pkgversion}-magic < %{version}-%{release}

%description -n python%{python3_pkgversion}-file-magic
This package contains the Python 3 bindings to allow access to the
libmagic API. The libmagic library is also used by the familiar
file(1) command.

%prep
%autosetup -p1 -n file-%{version}

%build
cd python
%py3_build

%install
cd python
%py3_install

%check
PYTHONPATH=python/build/lib %{__python3} python/example.py

%files -n python%{python3_pkgversion}-file-magic
%license COPYING
%doc python/README python/example.py
%{python3_sitelib}/magic.py
%{python3_sitelib}/*egg-info
%{python3_sitelib}/__pycache__/*

%changelog
* Thu Apr  6 2023 Orion Poplawski <orion@nwra.com> - 5.11-2
- Relax file-libs dependency

* Thu Oct  7 2021 Orion Poplawski <orion@nwra.com> - 5.11-1
- Build python36-file-magic for EPEL7
